org.keycloak.representations.idm

## Class RealmEventsConfigRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.RealmEventsConfigRepresentation

-     public class RealmEventsConfigRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `adminEventsDetailsEnabled`
    `protected Boolean` | `adminEventsEnabled`
    `protected List<String>` | `enabledEventTypes`
    `protected boolean` | `eventsEnabled`
    `protected Long` | `eventsExpiration`
    `protected List<String>` | `eventsListeners`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmEventsConfigRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getEnabledEventTypes()`
    `Long` | `getEventsExpiration()`
    `List<String>` | `getEventsListeners()`
    `Boolean` | `isAdminEventsDetailsEnabled()`
    `Boolean` | `isAdminEventsEnabled()`
    `boolean` | `isEventsEnabled()`
    `void` | `setAdminEventsDetailsEnabled(Boolean adminEventsDetailsEnabled)`
    `void` | `setAdminEventsEnabled(Boolean adminEventsEnabled)`
    `void` | `setEnabledEventTypes(List<String> enabledEventTypes)`
    `void` | `setEventsEnabled(boolean eventsEnabled)`
    `void` | `setEventsExpiration(Long eventsExpiration)`
    `void` | `setEventsListeners(List<String> eventsListeners)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### eventsEnabled

          protected boolean eventsEnabled

    - #### eventsExpiration

          protected Long eventsExpiration

    - #### eventsListeners

          protected List<String> eventsListeners

    - #### enabledEventTypes

          protected List<String> enabledEventTypes

    - #### adminEventsEnabled

          protected Boolean adminEventsEnabled

    - #### adminEventsDetailsEnabled

          protected Boolean adminEventsDetailsEnabled

  - ### Constructor Detail

    - #### RealmEventsConfigRepresentation

          public RealmEventsConfigRepresentation()

  - ### Method Detail

    - #### isEventsEnabled

          public boolean isEventsEnabled()

    - #### setEventsEnabled

          public void setEventsEnabled(boolean eventsEnabled)

    - #### getEventsExpiration

          public Long getEventsExpiration()

    - #### setEventsExpiration

          public void setEventsExpiration(Long eventsExpiration)

    - #### getEventsListeners

          public List<String> getEventsListeners()

    - #### setEventsListeners

          public void setEventsListeners(List<String> eventsListeners)

    - #### getEnabledEventTypes

          public List<String> getEnabledEventTypes()

    - #### setEnabledEventTypes

          public void setEnabledEventTypes(List<String> enabledEventTypes)

    - #### isAdminEventsEnabled

          public Boolean isAdminEventsEnabled()

    - #### setAdminEventsEnabled

          public void setAdminEventsEnabled(Boolean adminEventsEnabled)

    - #### isAdminEventsDetailsEnabled

          public Boolean isAdminEventsDetailsEnabled()

    - #### setAdminEventsDetailsEnabled

          public void setAdminEventsDetailsEnabled(Boolean adminEventsDetailsEnabled)

Copyright © 2020 JBoss by Red Hat. All rights reserved.